Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1810145 - add WORKDIR to builder in ironic image
Summary: add WORKDIR to builder in ironic image
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.4
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.4.0
Assignee: Eric Duen
QA Contact: David Sanz
URL:
Whiteboard:
Depends On: 1810144
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-04 15:41 UTC by Riccardo Pittau
Modified: 2020-05-15 16:16 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-15 16:16:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ironic-image pull 62 0 None closed Bug 1810145: Add WORKDIR to builder 2020-06-16 07:52:13 UTC

Description Riccardo Pittau 2020-03-04 15:41:03 UTC
As an intermittent issue we're seeing sometimes files can't be copied from the builder to the final image in the ironic multi-stage image.
To prevent that we need to add a WORKDIR parameter to the Dockerfile in the builder.


Note You need to log in before you can comment on or make changes to this bug.